/*
 * instruments.c
 *
 * author: Roberto Piassi Passos Bodo
 *  email: rppbodo@gmail.com
 */

#include "instruments.h"

/*!
 * This function opens a file that contains the names of all the instruments
 * defined by the General MIDI Specification and copies then to a structure
 * that is going to be used afterwards.
 */
void load_instruments() {
	int i = 0;

	FILE* input = fopen("instruments", "r");

	if (input == NULL) {
		fprintf(stderr, "error: \"instruments\" not found...\n");
		return;
	}

	for (i = 0; i < 127; i++) {
		fgets(instruments[i], 50, input);
		instruments[i][strlen(instruments[i]) - 1] = '\0';
	}
}
